/*
 *  Project     HID Buttons Library
 *  @author     David Madison
 *  @link       github.com/dmadison/HID_Buttons
 *  @license    MIT - Copyright (c) 2019 David Madison
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 *  Example:      KeyboardButton
 *  Description:  Use the HID Buttons library with keyboard keys
 *
 */

#include <Keyboard.h>  // Use built-in Keyboard library
#include <HID_Buttons.h>  // Must import AFTER Keyboard.h

const uint8_t ButtonPin1 = 2;  // Pin for hardware button
const uint8_t ButtonPin2 = 3;  // Pin for hardware button
const uint8_t ButtonPin3 = 4;  // Pin for hardware button
const uint8_t ButtonPin4 = 5;  // Pin for hardware button
const uint8_t ButtonPin5 = 6;  // Pin for hardware button
const uint8_t ButtonPin6 = 7;  // Pin for hardware button
const uint8_t Key1 = 'a';  // Press this keyboard key when the pin is grounded
const uint8_t Key2 = 'm';  // Press this keyboard key when the pin is grounded
const uint8_t Key3 = 'i';  // Press this keyboard key when the pin is grounded
const uint8_t Key4 = 'n';  // Press this keyboard key when the pin is grounded
const uint8_t Key5 = 'p';  // Press this keyboard key when the pin is grounded
const uint8_t Key6 = 'u';  // Press this keyboard key when the pin is grounded

KeyboardButton myButton1(Key1);
KeyboardButton myButton2(Key2);
KeyboardButton myButton3(Key3);
KeyboardButton myButton4(Key4);
KeyboardButton myButton5(Key5);
KeyboardButton myButton6(Key6);

#define pressed1 (Key1)
#define pressed2 (Key2)
#define pressed3 (Key3)
#define pressed4 (Key4)
#define pressed5 (Key5)
#define pressed6 (Key6) 

void setup() {
	pinMode(ButtonPin1, INPUT_PULLUP);
  pinMode(ButtonPin2, INPUT_PULLUP);
  pinMode(ButtonPin3, INPUT_PULLUP);
  pinMode(ButtonPin4, INPUT_PULLUP);
  pinMode(ButtonPin5, INPUT_PULLUP);
  pinMode(ButtonPin6, INPUT_PULLUP);
  
	Keyboard.begin();
}

void loop() {

  if (digitalRead(ButtonPin1) == LOW)
  {
	boolean pressed = !digitalRead(ButtonPin1);
  myButton1.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }

  if (digitalRead(ButtonPin2) == LOW)
  {
  boolean pressed = !digitalRead(ButtonPin2);
  myButton2.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }

  if (digitalRead(ButtonPin3) == LOW)
  {
  boolean pressed = !digitalRead(ButtonPin3);
  myButton3.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }

  if (digitalRead(ButtonPin4) == LOW)
  {
  boolean pressed = !digitalRead(ButtonPin4);
  myButton4.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }

  if (digitalRead(ButtonPin5) == LOW)
  {
  boolean pressed = !digitalRead(ButtonPin5);
  myButton5.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }

  if (digitalRead(ButtonPin6) == LOW)
  {
  boolean pressed = !digitalRead(ButtonPin6);
  myButton6.set(pressed);
  HID_Button::releaseAll();
  delay (1000);
  }
  }

  
 
